• Welcome to Simple Machines Community Forum. Please login or sign up.
October 26, 2021, 04:53:35 AM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


The item in the "Registration" form has not been translated into the appropriate

Started by Participant, July 10, 2021, 03:16:54 AM

Previous topic - Next topic

Participant

Hello, the item in the "Registration" form, which I circled in red, is not translated into the appropriate language.

The forum uses Russian.
Forum version: SMF 2.0.18

@rjen

Running SMF 2.0 with Tinyportal 2.1.0 at www.fjr-club.nl
Testing SMF 2.1 with Tinyportal 2.1.0 at test2.fjr-club.nl

Aleksi "Lex" Kilpinen

A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

Irisado

Thank you for pointing this out.  It is not a bug, so I have moved this topic accordingly, but I have flagged it with the Russian translation team.
Soñando con una playa donde brilla el sol, un arco iris ilumina el cielo, y el mar espejea iridescentemente

digger

Quote from: Participant on July 10, 2021, 03:16:54 AM
Hello, the item in the "Registration" form, which I circled in red, is not translated into the appropriate language.

The forum uses Russian.
Forum version: SMF 2.0.18

You should download and update language files manually. It's not updated when you upgrade forum.

Participant

digger, I have updated the forum to 2.0.18 via the Forum Admin. There was a link to the new version in the Central Administration, I followed this link. And I did not download the language file from the site and did not install it. That is, it is not enough to update the forum through the Admin if the language is different from English?

shadav

no, by default smf 2.0.x does not come preinstalled (or via updates/upgrades) with languages aside from english (not even english utf8)
you can download any languages that you wish to use from the SMF Language Packages

if you are doing a patch update, keep in mind any modifications that you may have installed that edited language files
if you are doing a large upgrade then well, you'll need to reinstall any mods anyways so just make sure to install the language files first.

Participant

Yes, I installed the language pack - the item was in the required language.
Then the forum developers need to do two things:
1) there should be an explanation in the Admin panel that in addition to updating the forum, the user must also download the language pack;
2) the help should contain an explanation that the user must also install the language pack, and there should be a link where the language packs are located. Help is at this link: https://wiki.simplemachines.org/smf/Patching

shadav

I'm assuming you updated your forum from an old smf 1.x, in which case yes everything languages, themes, mods, ect all need replaced

most any smf 2.0.x shouldn't need to update the language files (only occasionally when the copyright line is being updated to the current year)

in this case it seems that line was missed somehow

in your index.russian.php or index.russian-utf8 do you find a line starting with
$txt['notify_announcements'] = '

also looking into your posts, I was trying to see what you updated from and it appears to be 2.0.16 but you've also asked a few times how to remove this line from the registration, are you sure you didn't delete this line in your files at some point when you were trying to remove it from the registration?
I've checked both the russian and russian utf8 from the downloads and they both have that line and it's translated (how well, I couldn't say as I don't speak russian)

Participant

I was updating the forum incorrectly. Initially, I had version 2. I was doing Big Updates, but I had to do Patches. I was having crashes. In general, I wanted to reinstall from scratch, but as I understood, there is no such possibility.

shadav

Quote from: Participant on July 11, 2021, 02:52:39 PM
I was updating the forum incorrectly. Initially, I had version 2. I was doing Big Updates, but I had to do Patches. I was having crashes. In general, I wanted to reinstall from scratch, but as I understood, there is no such possibility.
not sure I understand you correctly

reinstall from scratch, you would just do a full install of 2.0.18

if you are updating to 2.0.18 you can do the large upgrade which will reset everything, removing all mods and themes and such but keeping the posts in tact and other database items in tact

if you have a heavily modified forum and are wanting to keep those modifications then you would to the patch updates

but if you mean from scratch as in deleting everything including posts, users, settings, ect then just delete your database and your forum then download the full install and start fresh by creating a new database

but even reinstalling from scratch you would still need to download and install any languages that you want to use on your forum as again by default smf does not come preinstalled with languages aside from english, this way users can chose which if any other languages they want and not take up more space then needed with automatically loading 80+ different languages

Participant

If a language pack needs to be reinstalled, does the forum report this?
How can I understand: do I need to reinstall the language pack after switching to the new version of the forum or not?

Aleksi "Lex" Kilpinen

Your english language packs are always updated. In case of a new language string appearing, you can add the translation manually or rely on the english string if you don't want to overwrite all language files. You can also download the updated language packs, and use them to overwrite the old files, and this will update your language pack.
A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

Participant

That is, the Forum does not inform users that they need to update the language pack? And I can only accidentally find out that the language pack needs to be updated when I see an English text on my forum?

Aleksi "Lex" Kilpinen

That is because usually there should not be need to update them. It is rare that new strings are added in a patch update.
A Finnish Project Manager (Support Specialist)
 Happily running multiple SMF 2.x installations.
  Fooling around with i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum. Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

Advertisement: